/*
 *	HistoryLaunch.C			1.002			 11/06/2009
 *
 *	This program will copy the programs History and QBasic to C:\History.
 *	Also the program deletes this directory, if you chose this option.
 *
 *	Last Correction:
 *	-----------------
 *	10/10/2009 -  11/06/2009	Johannes Stimmer
 *	10/21/2009 -  11/06/2009    Norbert Suedland
 *
 */

/* Include Files: */
/*----------------*/

  #include <stdio.h>
  #include <stdlib.h>
  #include <dirent.h>

/*******************/
  int main ( void )
/*******************/
{
  /* Defined Variables: */
  /*--------------------*/
  unsigned int	 a ;

  /* Information and Function of the Program: */
  /*------------------------------------------*/
  printf( " \n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "  Version: 1.002         Johannes Stimmer, Norbert S\201dland         10/16/2009  \n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "      1=LAUNCH HISTORY                                                         \n" ) ;
  printf( "        (If History is not installed, then this Program will install History;  \n" ) ;
  printf( "         Install = copy History and QBasic to c:\\History)                     \n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "      2=UNINSTALL HISTORY                                                      \n" ) ;
  printf( "        (Delete the directory c:\\History)                                     \n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "      3=TERMINATE THE PROGRAM                                                  \n" ) ;
  printf( "        (The Programm will be closed)                                          \n" ) ;
  printf( "                                                                               \n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "ATTENTION!: To display the program History in a full-screen mode, you must     \n" ) ;
  printf( "            press ALT and ENTER at the same time.                              \n" ) ;
  printf( "            To see the program code in the programm, you should press CTRL and \n" ) ;
  printf( "            ROLL at the same time, instead the usual CTRL und BREAK in History.\n" ) ;
  printf( "-------------------------------------------------------------------------------\n" ) ;
  printf( "                                                                               \n" ) ;
  printf( " Please enter the number (1=Install; 2=Uninstall; 3=Exit) you want: " ) ;

  a = getch( ) ;

  /* Install History: */
  /*------------------*/
  switch( a ) {
    case '1':
    case 13:            /* Return or Enter */
    case 10:            /* under DOS for Return */

      /* Check the Directory C:\History,				                  */
      /* if the Directoy does not Exist, Then Copy History to C:\History: */
      /*------------------------------------------------------------------*/
      if( opendir( "c:\\History" ) == NULL ) {
        chdir( "History" ) ;
        system( "xcopy *.* C:\\History /e /h /i" ) ;
        chdir( ".." ) ;

        /* Open DosBox with History */
        /*--------------------------*/
        system( "dosboxportable.exe" ) ;
      }

      /* If the Directory C:\History Exists, then History will Start: */
      /*--------------------------------------------------------------*/
      else{

      	/* Open DosBox with History */
        /*--------------------------*/
        system( "dosboxportable.exe" ) ;
      }
    break ;

    /* Uninstall History */
    /*-------------------*/
    case '2':
    case '\b':          /* Backspace-Key (<---) */

      /* Checking, if History is Installed, if so, then it should be Uninstalled: */
      /*--------------------------------------------------------------------------*/
      if( opendir( "c:\\History" ) != NULL ) {
        chdir( "c:\\" ) ;

        system( "del History /s /q" ) ;           /* for Windows XP */
        system( "rd c:\\History /s /q" ) ;        /* for Windows XP */

	    system( "DELTREE /Y C:\\HISTORY" ) ;      /* for Windows 98 and ME */

        system( "cls" ) ;
        printf( " \n" ) ;
        printf( "----------------------\n" ) ;
        printf( " UNINSTALL SUCCESSFUL \n" ) ;
        printf( "----------------------\n" ) ;
        printf( " \n" ) ;
        printf( "To exit the program, press any key. \n" ) ;
        system( "pause>nul" ) ;
      }

      /* If History is not Installed, then the Program displays an Error Message: */
      /*--------------------------------------------------------------------------*/
      else {
        system( "cls" ) ;
        printf( " \n" ) ;
        printf( "--------\n" ) ;
        printf( " ERROR! \n" ) ;
        printf( "--------\n" ) ;
        printf( " \n" ) ;
        printf( "The program could not uninstall History, because the folder was not" ) ;
	    printf( " found\nin c:\\. To exit the program, press any key\n" ) ;
        system( "pause>nul" ) ;
      }
    break ;

    /* Terminate the Program: */
    /*------------------------*/
    case '3':
    case 27:            /* ESC-Key */
    break ;

    /* If Something else is Typed: */
    /*-----------------------------*/
    default:
      system( "cls" ) ;
      printf( "\n\nTHIS PROGRAM IS NOT LIKELY TO HACKING !!!\n\n" ) ;
      printf( "To exit the program, press any key.\n\n" ) ;
      system( "pause>nul" ) ;
    break ;
  }

  return( 0 ) ;
}
/*__ End of 'main( )' __*/

/*
 *	End of HistoryLaunch.C
 */
